Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.buttontap
Class ButtonTapEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<ButtonTapHandler,TouchEndEvent>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.buttontap.ButtonTapEvent

    public class ButtonTapEvent

extends SyntheticTouchGestureEvent<ButtonTapHandler,TouchEndEvent>

Represents a button-tap event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`ButtonTapEvent(TouchEndEvent evt)` Creates a new `ButtonTapEvent` from the specified source `TouchEndEvent`.

Method Summary
`protected void` | `dispatch(ButtonTapHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<ButtonTapHandler>` | `getAssociatedType()` Returns the event type associated with button-tap events.
`static GwtEvent.Type<ButtonTapHandler>` | `getType()` Returns the event type associated with button-tap events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ButtonTapEvent

    public ButtonTapEvent(TouchEndEvent evt)

  Creates a new `ButtonTapEvent` from the specified source `TouchEndEvent`.

  Parameters:
    `evt` - The touch end event that triggered this event.

Method Detail

### getType

    public static GwtEvent.Type<ButtonTapHandler> getType()

  Returns the event type associated with button-tap events.

### getAssociatedType

    public GwtEvent.Type<ButtonTapHandler> getAssociatedType()

  Returns the event type associated with button-tap events.

  Specified by:
    `getAssociatedType` in class `GwtEvent<ButtonTapHandler>`

### dispatch

    protected void dispatch(ButtonTapHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<ButtonTapHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD